package discovery

import "git.loafle.net/overflow/commons-go/model/discovery"

type DiscoveryService interface {
	DiscoverZone(requesterID string, dz *discovery.DiscoveryZone) error
	DiscoverHost(requesterID string, zone *discovery.Zone, dh *discovery.DiscoveryHost) error
	DiscoverPort(requesterID string, host *discovery.Host, dp *discovery.DiscoveryPort) error
	DiscoverService(requesterID string, port *discovery.Port, ds *discovery.DiscoveryService) error
	StopRequest(requesterID string) error
}
