package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type MetaInfraVendor struct {
	ID         json.Number    `json:"id,Number,omitempty"`
	Name       string         `json:"name,omitempty"`
	CreateDate util.Timestamp `json:"createDate,omitempty"`
	InfraType  *MetaInfraType `json:"infraType,omitempty"`
}
